/*! Built with http://stenciljs.com */
smiletounlock.loadComponents(

/**** module id (dev mode) ****/
"smile-to-unlock-hider",

/**** component modules ****/
function importComponent(exports, h, t, Context, publicPath) {
var SmileToUnlockHider = /** @class */ (function () {
    function SmileToUnlockHider() {
        this.callToAction = "Want to watch this video? Then give me a smile!";
    }
    SmileToUnlockHider.prototype.hide = function () {
        this.el.style.display = "none";
    };
    SmileToUnlockHider.prototype.startSmiling = function () {
        this.readyToSmile.emit({});
    };
    SmileToUnlockHider.prototype.render = function () {
        return ([
            h("p", { "c": { "top": true } }),
            h("p", { "c": { "middle": true } },
                this.callToAction,
                h("br", 0),
                h("i", { "c": { "material-icons": true } }, t("arrow_downward")),
                h("br", 0),
                h("button", { "c": { "unlock": true, "btn": true, "btn-primary": true }, "o": { "click": this.startSmiling.bind(this) } }, t("Smile to Unlock"))),
            h("div", { "c": { "bottom": true } })
        ]);
    };
    return SmileToUnlockHider;
}());

exports['SMILE-TO-UNLOCK-HIDER'] = SmileToUnlockHider;
},


/***************** smile-to-unlock-hider *****************/
[
/** smile-to-unlock-hider: tag **/
"SMILE-TO-UNLOCK-HIDER",

/** smile-to-unlock-hider: members **/
[
  [ "callToAction", /** prop **/ 1 ],
  [ "el", /** element ref **/ 7 ],
  [ "hide", /** method **/ 6 ]
],

/** smile-to-unlock-hider: host **/
{},

/** smile-to-unlock-hider: events **/
[
  [
    /*****  smile-to-unlock-hider readyToSmile ***** /
    /* event name ***/ "readyToSmile"
  ]
]

]
)